---

- name: Create Redis users
  command: redis-cli -c -h {{ ansible_default_ipv4.address }} -p {{ redis_port }} -a mypass ACL SETUSER {{ item.name }} on >{{ item.pass }}  ~{{ item.key }}:* +@all
  with_items: "{{ redis_users }}"

- name: Delete Redis old users
  command: redis-cli -c -h {{ ansible_default_ipv4.address }} -p {{ redis_port }} -a mypass ACL deluser {{ item.name }}
  with_items: "{{ redis_old_users }}"

- name: Upload Redis config
  command: redis-cli -c -h {{ ansible_default_ipv4.address }} -p {{ redis_port }} -a mypass ACL SAVE
